import * as z from 'zod';
export const CloudFolderFindUniqueResultSchema = z.nullable(z.object({
  id: z.number().int(),
  userId: z.number().int(),
  name: z.string(),
  parentId: z.number().int().optional(),
  patientId: z.number().int().optional(),
  parent: z.unknown().optional(),
  children: z.array(z.unknown()),
  user: z.unknown(),
  patient: z.unknown().optional(),
  files: z.array(z.unknown()),
  createdAt: z.date(),
  updatedAt: z.date()
}));